Bug 240081 - devel/grantlee5: fix build with GCC architectures
Summary: devel/grantlee5: fix build with GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-24 19:24 UTC by Piotr Kubaj
Modified: 2019-08-29 19:41 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (356 bytes, patch)
2019-08-24 19:24 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (kde)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-08-24 19:24:25 UTC
Created attachment 206860 [details]
patch

Compiling with GCC9 fails with:
/usr/local/lib/gcc9/include/c++/bits/c++0x_warning.h:32:2: error: #error This file requires compiler and library support for the ISO C++ 2011 standard. This support must be enabled with the -std=c++11 or -std=gnu++11 compiler options.

Add USE_CXXSTD=c++11 to fix this.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-27 22:17:07 UTC
Approved by mentor (after maintainer action).
Comment 2 Tobias C. Berner freebsd_committer 2019-08-28 05:00:24 UTC
Looks good to me to (with hat maintainer)
Comment 3 commit-hook freebsd_committer 2019-08-29 19:41:55 UTC
A commit references this bug:

Author: pkubaj
Date: Thu Aug 29 19:41:01 UTC 2019
New revision: 510184
URL: https://svnweb.freebsd.org/changeset/ports/510184

Log:
  devel/grantlee5: fix build with GCC architectures

  Compiling with GCC9 fails with:
  /usr/local/lib/gcc9/include/c++/bits/c++0x_warning.h:32:2: error: #error This file requires compiler and library support for the ISO C++ 2011 standard. This support must be enabled with the -std=c++11 or -std=gnu++11 compiler options.

  Add USE_CXXSTD=c++11 to fix this.

  PR:		240081
  Approved by:	tcberner (maintainer), linimon (mentor)

Changes:
  head/devel/grantlee5/Makefile